Macaulay2 » Documentation
Packages » PruneComplex :: isScalar
next | previous | forward | backward | up | index | toc

# isScalar -- check whether a ring element is a scalar

- Usage:
    `b = isScalar(f)`
- Inputs:
  - f, a ring element, a ring element
- Outputs:
  - b, a Boolean value, true if f is a scalar, false otherwise.

## Description

A synonym for liftable(f, coefficientRing ring f).

## See also

- isUnit -- whether a ring element is a unit
- UnitTest -- Limit which units are to be pruned
- liftable -- whether lifting to another ring is possible

## Ways to use isScalar:

- `isScalar(RingElement)`

## For the programmer

The object isScalar is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/PruneComplex/doc.m2:326:0.